﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" omit-xml-declaration="yes" standalone="yes" indent="no" version="4.0" encoding="UTF-8"/>
  <xsl:template match="/">
    <table>
    <thead>
    <tr style="background-color:gray; color:white">
    <th>File Id</th>    
    <th>Sender File Name</th>
    <th>To</th>
    <th>Lifespan (h)</th>
    <th>Compression</th>
    <th>Local File Path</th>
    <th>Status</th>
  </tr>    
  </thead>
  <tbody>
   <xsl:apply-templates select="//msg"/>
   </tbody>
    </table>
  </xsl:template>
  
  <xsl:template match="msg">

   <tr>
    <td><xsl:value-of select="remoteFile/@uID"/></td>    
    <td><xsl:value-of select="remoteFile"/></td>
   <td><xsl:value-of select="toAliases"/></td>
    <td><xsl:value-of select="lifeh"/></td>
    <td><xsl:value-of select="compressLevel"/></td>
    <td><xsl:value-of select="localFilepath" /></td>
    <td><xsl:value-of select="status"/> (<xsl:value-of select="statusDetails"/>)</td>
  </tr>    


  </xsl:template>
  
</xsl:stylesheet>
